0
0 ItemsRM0.00

170mA Radial Leaded Power Inductors :

7 Products Found
Find a huge range of 170mA Radial Leaded Power Inductors at element14 Malaysia. We stock a wide range of Radial Leaded Power Inductors, such as 1A, 1.1A, 500mA & 1.3A Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft, Kemet, Wurth Elektronik, Bourns & Murata Power Solutions

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
1077036

RoHS

Each
1+RM4.400
5+RM3.880
10+RM3.350
20+RM3.230
40+RM3.100
More Pricing...
2200R Series
1mH
Unshielded
170mA
-
3.63ohm
± 10%
2457932

RoHS

Each
1+RM6.780
5+RM6.270
10+RM5.750
25+RM5.300
50+RM4.710
More Pricing...
RFC1010 Series
15mH
Unshielded
170mA
230mA
19.5ohm
± 10%
2457862

RoHS

Each
1+RM4.860
5+RM4.490
10+RM4.120
25+RM3.740
50+RM3.340
More Pricing...
RFC0807 Series
4.7mH
Unshielded
170mA
290mA
16ohm
± 10%
3373474

RoHS

Each
1+RM2.800
5+RM2.550
10+RM2.300
25+RM2.000
50+RM1.840
More Pricing...
RLB9012 Series
10mH
-
170mA
-
25.1ohm
± 10%
4065999

RoHS

Each
1+RM4.720
5+RM4.600
10+RM4.470
25+RM4.320
50+RM4.160
More Pricing...
WE-TI Series
7mH
Unshielded
170mA
180mA
16ohm
± 5%
2457900

RoHS

Each
1+RM6.870
5+RM6.360
10+RM5.840
25+RM5.300
50+RM4.730
More Pricing...
RFC0810 Series
10mH
Unshielded
170mA
210mA
19.5ohm
± 10%
3011746

RoHS

Each
1+RM8.670
10+RM6.610
50+RM6.250
100+RM5.840
500+RM5.080
More Pricing...
SBCP Series
10mH
Unshielded
170mA
310mA
10.86ohm
± 10%
1-7 of 7 items
of 1 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
Trade Account